Glance client and the new CLI commands

Reported by Msekni on 2012-10-09
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
openstack-manuals
High
Unassigned

Bug Description

Hi,

As you know, Glance has a new CLI commands in the folsom release ( example : instead of glance add, there is glance image-create)

To get these new commands, the package python-glanceclient instead of glance-client like it is mentionned here:
http://docs.openstack.org/trunk/openstack-compute/install/apt/content/osfolubuntu-imageservice.html

thanks

koolhead17 (koolhead17) on 2012-10-09
Changed in openstack-manuals:
assignee: nobody → koolhead17 (koolhead17)
Anne Gentle (annegentle) on 2012-10-09
Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → High
Anne Gentle (annegentle) wrote :

I've been testing python-glanceclient and glance-client both from the Cloud Archive and can't get either working.

python-glanceclient fails with this:
root@ubuntu:~# glance index
Traceback (most recent call last):
  File "/usr/bin/glance", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2711, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 584, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: python-keystoneclient>=0.1.2,<0.2

Anne Gentle (annegentle) wrote :

I think that what happens is when you install glance, the python-keystoneclient that's installed is incorrect.

Tom Fifield (fifieldt) wrote :

Speaking with the University of Melbourne team, the word is that the packages in cloud archive aren't stable yet and they have been submitting bugs with ubuntu for things like these

Le 10/10/2012 22:24, Anne Gentle a écrit :
> I think that what happens is when you install glance, the python-
> keystoneclient that's installed is incorrect.
>
Hi Anne,

When you install python-glanceclient you shouldn't use the glance index
command but the glance image-list command.

This is how i install my Glance

apt-get install glance python-glance python-glanceclient

Mentionned in my Guide: MyGuide
<https://github.com/mseknibilel/OpenStack-Folsom-Install-guide/blob/master/OpenStack_Folsom_Install_Guide_WebVersion.rst>
It works fine for me and other people who has used it.

Pedro Jiménez (lordpiotr) wrote :

We have challenged the same problem but we have found a solution. Change the dependencies of "python-keystoneclient". It is NOT a glance syntax problem.

ROUTE: /usr/lib/python2.7/dist-packages/python_glanceclient-0.5.1.8.cdc06d9.egg-info/requires.txt

CHANGE:
python-keystoneclient>=0.1.2,<0.2
TO:
python-keystoneclient>=0.1.2

More info at: http://pedrojimenez.github.com/blog/2012/12/12/ubuntu-python-keystoneclient-dependency-error/

Tom Fifield (fifieldt) wrote :

HI Atul,

Are you still planning to work on this?

Tom Fifield (fifieldt) on 2013-01-06
Changed in openstack-manuals:
assignee: koolhead17 (koolhead17) → nobody
Tom Fifield (fifieldt) wrote :

This was updated already - marking fix released.

Changed in openstack-manuals:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers